Uploaded image for project: 'Qpid Dispatch'
  1. Qpid Dispatch
  2. DISPATCH-1229

System tests failing when executed with python3.7

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.5.0
    • Component/s: Tests
    • Labels:
      None

      Description

      System tests are failing when executed against F29 with only python3.7 installed.

      A few python source files are importing Mapping and Sequence classes from "collections" package, but python3.7 raises a warning message saying:

       

      DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working 
      

      There are system tests reading, for example, the output from "qdmanage query" and trying to parse it as a JSON, but because of the "warning" message above, qdmanage output cannot be parsed and so system test fails.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                fgiorget Fernando Giorgetti
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: